Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
config
/
revisions
/
List resource config revisions
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/config/revisions/ \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "preview_steps": [
          {
            "kind": "action",
            "op": "create",
            "variant": "<string>",
            "final_version": 123,
            "id": "<string>",
            "current_version": 123,
            "destination": {
              "by": "default_sink",
              "value": "default_sink"
            },
            "create": {
              "schema": "<unknown>",
              "variant": "<string>",
              "version": 123,
              "alias": [
                "<string>"
              ]
            },
            "update": {
              "version": 123,
              "alias": [
                "<string>"
              ],
              "schema": "<unknown>"
            }
          }
        ],
        "status": "planned",
        "error_message": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "applied_at": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Query Parameters

take
integer
Required range: 1 <= x <= 50
skip
integer
Required range: x >= 0
search
field
string
value
string
op
Available options:
eq
count_only
boolean
asc
boolean
status
Available options:
planned

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required